curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/cities?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "id": 1, "city_name": "Austin" },
{ "id": 2, "city_name": "Houston" }
],
"pagination": {
"limit": 10,
"offset": 0,
"page": 1,
"count": 2
},
"search": null
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
Smart Prospect
Cities API
List cities for the authenticated user - GET /cities
GET
/
api
/
v1
/
search-email-leads
/
cities
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/cities?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "id": 1, "city_name": "Austin" },
{ "id": 2, "city_name": "Houston" }
],
"pagination": {
"limit": 10,
"offset": 0,
"page": 1,
"count": 2
},
"search": null
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
This endpoint requires authentication via API key passed as a query parameter (
api_key).Query Parameters
string
required
Your SmartLead API key for authentication
string
Number of cities to return (1–100). Pattern: ^[1-9][0-9]*$ or 100. Default: “10”.
string
Number of cities to skip for pagination (≥ 0). Pattern: ^[0-9]+$. Default: “0”.
string
Search string to match city names starting with this value (1–255 characters).
string
Filter by state name(s). Comma-separated values (e.g. california,texas,florida). 1–255 chars.
string
Filter by country name(s). Comma-separated values (e.g. usa,canada). Requires state. 1–255 chars.
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/cities?api_key=YOUR_API_KEY"
Response Codes
Success
Request successful
Unauthorized
Unauthorized
Internal Server Error
Internal Server Error
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "id": 1, "city_name": "Austin" },
{ "id": 2, "city_name": "Houston" }
],
"pagination": {
"limit": 10,
"offset": 0,
"page": 1,
"count": 2
},
"search": null
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
